Skip to content

Retrieve Current Space

Retrieve information about the current Storyblok space including cache version, domain, and language configuration.

GET
https://api.storyblok.com/v2/cdn/spaces/me
  • version string

    Filter by the story’s publication status.

  • token required string

    A preview or public access token configured in a space.

  • space Space
    Show child properties
    • id integer

      Space ID.

    • name string

      Space name.

    • domain string

      Domain associated with the space (configured under Visual EditorLocation).

    • version integer

      Cached version Unix timestamp. Learn more in the Caching concept.

    • language_codes array<string>

      An array of language codes configured in the space.

curl "https://api.storyblok.com/v2/cdn/spaces/me\
?token=ask9soUkv02QqbZgmZdeDAtt"
Response
{
"space": {
"id": 12345,
"name": "Space A",
"domain": "http://example.storyblok.com",
"version": 1717516800,
"language_codes": [
"de",
"fr"
]
}
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.